import math
c = float(input("c = "))    # On demande la valeur de la concentration c en acide apportée.
while c <= 0: # On vérifie que c est strictement positif
    print ("c doit être strictement positif")
    c = float(input("c = "))    # On demande à nouveau la valeur de c.
KA = float(input("KA = "))  # On demande la valeur de la constante d’acidité KA du couple acide-base.
while KA <= 0: # On vérifie que KA est strictement positif
    print ("KA doit être strictement positif")
    KA = float(input("KA = "))    # On demande à nouveau la valeur de KA.
delta = KA**2 + 4*c*KA    # On calcule le discriminant delta, forcément positif car c et KA positifs. L'équation a donc deux solutions dont une seule positive que l'on retient.
to = (-KA + math.sqrt(delta)) /(2*c)
print ("Le taux d'avancement est to = ",to, )
